#include "args.h"

#include <stdio.h>

void
#if HAVE_STDC
printchar (int c)
#else /* K&R C */
printchar (c)
     int c;
#endif /* HAVE_STDC */
{
  if (c < 040 || c >= 0177)
    {
      putchar ('\\');
      putchar (((c >> 6) & 3) + '0');
      putchar (((c >> 3) & 7) + '0');
      putchar ((c & 7) + '0');
    }
  else
    putchar (c);
}
